import "Turbine.UI.Lotro"

OptionWindow = class(Turbine.UI.Lotro.Window);

function OptionWindow:Constructor(settings)
	Turbine.UI.Lotro.Window.Constructor(self);

	self.settings = settings;
	self:SetPosition( 200, 200 );
	self:SetText("MinstrelBuff - Options");
	self:SetSize( 200, 150 );
	self:SetVisible(true);
	
	self:PlaceControls();
end

function OptionWindow:PlaceControls()
	self.backgroundCheckBox = Turbine.UI.Lotro.CheckBox();
	self.backgroundCheckBox:SetParent(self);
	self.backgroundCheckBox:SetText("Background visible");
	self.backgroundCheckBox:SetPosition( 20, 40 );
	self.backgroundCheckBox:SetSize( 160, 25 );
	self.backgroundCheckBox:SetChecked(self.settings:GetBackgroundVisible());
	self.backgroundCheckBox.CheckedChanged = function (sender, args) self:BackgroundOptionChanged(); end
	
	self.fixedCheckBox = Turbine.UI.Lotro.CheckBox();
	self.fixedCheckBox:SetParent(self);
	self.fixedCheckBox:SetText("Fixed anthem positions");
	self.fixedCheckBox:SetPosition( 20, 70 );
	self.fixedCheckBox:SetSize( 160, 25 );
	self.fixedCheckBox:SetChecked(self.settings:GetFixedAnthemPositions());
	self.fixedCheckBox.CheckedChanged = function (sender, args) self:FixedAnthemsOptionChanged(); end
	
	local okButton = Turbine.UI.Lotro.Button();
	okButton:SetParent(self);
	okButton:SetText("OK");
	okButton:SetPosition( 115, 100 );
	okButton:SetSize( 70, 25 );
	okButton:SetVisible(true);
	okButton.Click = function (sender, args) self:Close(); end
end

function OptionWindow:Show()
	self:SetVisible(true);
end

function OptionWindow:BackgroundOptionChanged()
	self.settings:SetBackgroundVisible(self.backgroundCheckBox:IsChecked());
end

function OptionWindow:FixedAnthemsOptionChanged()
	self.settings:SetFixedAnthemPositions(self.fixedCheckBox:IsChecked());
end
