
Settings = class();

function Settings:Constructor()
	self:Load();	
end

function Settings:Load()
	self.settingsTable = Turbine.PluginData.Load(Turbine.DataScope.Character, "MinstrelBuff");
	if (self.settingsTable == nil) then
		self.settingsTable = {};
		self.settingsTable["MainPosX"] = 100;
		self.settingsTable["MainPosY"] = 100;
	end
	if (self.settingsTable["BackgroundVisible"]	== nil) then
		self.settingsTable["BackgroundVisible"]	= true;
	end
	if (self.settingsTable["FixedAnthemPositions"]	== nil) then
		self.settingsTable["FixedAnthemPositions"]	= false;
	end
	
	-- events
	self.BackgroundVisibleChanged = nil;
	self.FixedAnthemPositionsChanged = nil;
	--Turbine.Shell.WriteLine( "Settings:Load" );
end

function Settings:Save()
	if (self.settingsTable ~= nil) then
		Turbine.PluginData.Save(Turbine.DataScope.Character, "MinstrelBuff", self.settingsTable);
	end
end

function Settings:GetMainPosX()
	if (self.settingsTable["MainPosX"] ~= nil) then
		return self.settingsTable["MainPosX"];
	else
		return 200;
	end
end

function Settings:GetMainPosY()
	if (self.settingsTable["MainPosY"] ~= nil) then
		return self.settingsTable["MainPosY"];
	else
		return 200;
	end
end

function Settings:SetMainPos(posx, posy)
	self.settingsTable["MainPosX"] = posx;
	self.settingsTable["MainPosY"] = posy;
	self:Save();
end

function Settings:GetEffectLocalizationNames()
	if Turbine.Shell.IsCommand("hilfe") then
        return "de";
    elseif Turbine.Shell.IsCommand("aide") then
        return "fr";
    else
		return "en";
	end
end

function Settings:GetBackgroundVisible()
	return self.settingsTable["BackgroundVisible"];
end

function Settings:SetBackgroundVisible(value)
	self.settingsTable["BackgroundVisible"] = value;
	self:Save();
	if (type(self.BackgroundVisibleChanged) == "function") then
		self.BackgroundVisibleChanged(value);
	end
end

function Settings:GetFixedAnthemPositions()
	return self.settingsTable["FixedAnthemPositions"];
end

function Settings:SetFixedAnthemPositions(value)
	self.settingsTable["FixedAnthemPositions"] = value;
	self:Save();
	if (type(self.FixedAnthemPositionsChanged) == "function") then
		self.FixedAnthemPositionsChanged(value);
	end
end
